com.cloudera.sqoop.lib

## Class SqoopRecord

- java.lang.Object
- - org.apache.sqoop.lib.SqoopRecord
  - - com.cloudera.sqoop.lib.SqoopRecord

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.hadoop.io.Writable, FieldMappable, org.apache.sqoop.mapreduce.DBWritable

  Deprecated.
  use org.apache.sqoop.lib.SqoopRecord instead.

      public abstract class SqoopRecord
      extends SqoopRecord

  Interface implemented by the classes generated by sqoop's orm.ClassWriter.
  See Also:
    `SqoopRecord`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqoopRecord()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.sqoop.lib.SqoopRecord

      `clone, delegate, getClassFormatVersion, getFieldMap, loadLargeObjects, parse, parse, parse, parse, parse, parse, setField, toString, toString, toString, write`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sqoop.mapreduce.DBWritable

      `readFields, write`

    - ### Methods inherited from interface org.apache.hadoop.io.Writable

      `readFields, write`

- - ### Constructor Detail

    - #### SqoopRecord

          public SqoopRecord()

      Deprecated.

Copyright © 2015 The Apache Software Foundation